package domain

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type Order struct {
	ID        primitive.ObjectID `bson:"_id" json:"-"`
	OrderID   string             `bson:"order_id" json:"order_id"`
	ClientID  string             `bson:"client_id" json:"client_id"`
	Email     string             `bson:"email" json:"email"`
	Amount    float64            `bson:"amount" json:"amount"`
	Tx        string             `bson:"tx" json:"tx"`
	Block     string             `bson:"block" json:"block"`
	PaidAt    time.Time          `bson:"paid_at" json:"paid_at"`
	CreatedAt time.Time          `bson:"created_at" json:"-"`
	ExpiresAt time.Time          `bson:"expires_at" json:"-"`
}
