package templates

var ProviderConfirm = `<!DOCTYPE html>
<html>
<head>
    <style>
        body {
            font-family: Arial, sans-serif;
            padding: 20px;
            color: #333;
        }
        .container {
            border-radius: 5px;
            background-color: #f2f2f2;
            padding: 20px;
        }
        .header {
            text-align: center;
            padding: 10px;
            color: white;
            background-color: #4CAF50;
        }
        .content {
            margin: 20px 0;
        }
        .footer {
            text-align: center;
            padding: 10px;
            color: white;
            background-color: #333;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="header">
            <h2>Payment Confirmation</h2>
        </div>
        <div class="content">
            <p>Dear Supplier,</p>
            <p>We are pleased to inform you that we have received a Bitcoin payment for a recent order. Here are the details of the transaction:</p>
            <p><strong>Customer ID:</strong> {{customer_id}}</p>
            <p><strong>Order ID:</strong> {{order_id}}</p>
            <p><strong>Transaction ID:</strong> {{tx}}</p>
            <p><strong>Block ID:</strong> {{block}}</p>
            <p><strong>Timestamp:</strong> {{timestamp}}</p>
            <p>You can view the transaction details at the following URL: <a href="{{explorer_url}}">{{explorer_url}}</a></p>
            <p>We will proceed with the order fulfillment as per our agreement. Thank you for your cooperation!</p>
        </div>
        <div class="footer">
            <p>© 2023 Bitcoin Payment Checker. All rights reserved.</p>
        </div>
    </div>
</body>
</html>`
